Subject: [PATCHv7 00/36] ARM: OMAP: clock data conversion to DT

From: [email-masked] (Tony Lindgren)
Date: Fri, 11 Oct 2013 15:53:34 -0700

* Tero Kristo <[email-masked]> [131010 01:25]:
> On 10/09/2013 09:55 PM, Paul Walmsley wrote:
> >So in my view, the right things to do here are to:
> >
> >1. associate SoC DT clock data with the device node that contains the
> >    clock control registers
> 
> So, either "cm", "prcm", and maybe "control_module" instead of
> current "clocks". How much do we benefit from this? This would get
> rid of need to call of_iomap() for each register basically.

It seems that all you need to do for that is to set up two or three
clock driver instances and have the clocks registered under them.

Then later on those can be children of cm, prcm and scm core drivers
as needed without much of an issue.

Regards,

Tony